> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Shipment Line Items

> Search for shipment line items by source system and source system ID



## OpenAPI

````yaml /api-reference/openapi.json post /api/rest/shipment_line_items/search
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.0
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/shipment_line_items/search:
    post:
      tags:
        - Shipment Line Items
      summary: Search Shipment Line Items
      description: Search for shipment line items by source system and source system ID
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: >-
            _"sourceSystem" is required (enter it either in parameters or
            request body)_
          in: query
          name: sourceSystem
          schema:
            type: string
        - description: >-
            _"sourceSystemId" is required (enter it either in parameters or
            request body)_
          in: query
          name: sourceSystemId
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                sourceSystem:
                  nullable: false
                  title: String
                  type: string
                sourceSystemId:
                  nullable: false
                  title: String
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  shipmentLineItems:
                    items:
                      description: Shipment Line Items
                      nullable: false
                      properties:
                        commodityDescription:
                          nullable: true
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamp'
                        deliveryLocationName:
                          nullable: true
                          title: String
                          type: string
                        dimensionUnit:
                          nullable: true
                          title: String
                          type: string
                        freightClass:
                          nullable: true
                          title: String
                          type: string
                        handlingUnit:
                          nullable: true
                          title: String
                          type: string
                        handlingUnitQty:
                          $ref: '#/components/schemas/numeric'
                        handlingUnitType:
                          $ref: '#/components/schemas/EdiHandlingUnitTypeEnum'
                        hazmatFlag:
                          nullable: true
                          title: Boolean
                          type: boolean
                        height:
                          $ref: '#/components/schemas/numeric'
                        id:
                          nullable: false
                          title: String
                          type: string
                        length:
                          $ref: '#/components/schemas/numeric'
                        lineNumber:
                          nullable: false
                          title: Int
                          type: integer
                        nmfcClass:
                          nullable: true
                          title: String
                          type: string
                        nmfcNumber:
                          nullable: true
                          title: String
                          type: string
                        packageQty:
                          $ref: '#/components/schemas/numeric'
                        packageType:
                          $ref: '#/components/schemas/EdiHandlingUnitTypeEnum'
                        packageUnit:
                          nullable: true
                          title: String
                          type: string
                        pickupLocationName:
                          nullable: true
                          title: String
                          type: string
                        referenceNumber:
                          nullable: true
                          title: String
                          type: string
                        shipmentId:
                          nullable: false
                          title: String
                          type: string
                        sourceSystem:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/timestamp'
                        weight:
                          $ref: '#/components/schemas/numeric'
                        weightUnit:
                          nullable: true
                          title: String
                          type: string
                        weightUnitType:
                          $ref: '#/components/schemas/EdiWeightUnitTypeEnum'
                        width:
                          $ref: '#/components/schemas/numeric'
                      title: ShipmentLineItems
                      type: object
                    nullable: false
                    type: array
          description: Responses for POST /api/rest/shipment_line_items/search
components:
  schemas:
    timestamp:
      nullable: false
      title: timestamp
    numeric:
      nullable: false
      title: numeric
    EdiHandlingUnitTypeEnum:
      enum:
        - BAG
        - BLK
        - BOB
        - BOT
        - BOX
        - BRG
        - BSK
        - BXI
        - BXT
        - CAB
        - CAG
        - CAN
        - CAR
        - CAS
        - CBC
        - CBY
        - CCS
        - CHE
        - CHS
        - CLD
        - CNA
        - CNB
        - CNC
        - CND
        - CNE
        - CNF
        - CNT
        - CNX
        - COL
        - CON
        - COR
        - CRD
        - CRT
        - CSK
        - CTN
        - CUB
        - CYL
        - DBK
        - DRK
        - DRM
        - DSK
        - DTB
        - DUF
        - ENV
        - FIR
        - FLO
        - FLX
        - FRM
        - FSK
        - FWR
        - GOH
        - HED
        - HGH
        - HPR
        - HPT
        - HRB
        - HRK
        - HTB
        - JAR
        - JUG
        - KEG
        - KIT
        - KRK
        - KTB
        - LBK
        - LIF
        - LOG
        - LSE
        - LUG
        - LVN
        - MLV
        - MRP
        - MSV
        - MXD
        - NOL
        - OVW
        - PAL
        - PCK
        - PCS
        - PIR
        - PKG
        - PLF
        - PLL
        - PLN
        - PLT
        - POV
        - PRK
        - QTR
        - RAL
        - RCK
        - REL
        - ROL
        - RVR
        - SAK
        - SBC
        - SCS
        - SHK
        - SHT
        - SID
        - SKD
        - SKE
        - SLP
        - SLV
        - SPI
        - SPL
        - SVN
        - TBE
        - TBN
        - TKR
        - TKT
        - TLD
        - TNK
        - TRC
        - TRI
        - TRK
        - TRU
        - TRY
        - TSS
        - TTC
        - UNT
      nullable: false
      title: EdiHandlingUnitTypeEnum
    EdiWeightUnitTypeEnum:
      enum:
        - CG
        - CT
        - CWT
        - DAG
        - DG
        - DTN
        - DWT
        - G
        - GR
        - HG
        - KG
        - KT
        - LB
        - LT
        - MG
        - MT
        - ONZ
        - OZ
        - Q
        - ST
        - T
        - UG
      nullable: false
      title: EdiWeightUnitTypeEnum

````